Bug 51756 - Bad : rc.sysinit does not load modules
Summary: Bad : rc.sysinit does not load modules
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-14 20:02 UTC by Robert Franchisseur
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-24 19:14:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Franchisseur 2001-08-14 20:02:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-6.2.1 i686)

Description of problem:
after upgrading to  kernel-2.2.19-6.2.7.i386.rpm  /etc/conf.modules becomes
/etc/modules.conf but /etc/rc.d/rc.sysinit still looks at conf.modules and
modules are not 
loaded. 



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. reboot
2.
3.
	

Additional info:

Comment 1 Bill Nottingham 2001-08-14 20:06:41 UTC
What modutils do you have installed?

Comment 2 Robert Franchisseur 2001-08-14 22:32:21 UTC
modutils-2.3.21-0.6.2

but if I replace conf.modules by modules.conf in /etc/rc.d/rc.sysinit it works

Comment 3 Robert Franchisseur 2001-08-15 15:41:59 UTC
I just discovered that mkkickstart also relies on conf.modules and *NOT*
modules.conf

white:/users/robert > mkkickstart 
...

device ethernet grep: /etc/conf.modules: No such file or directory
grep: /etc/conf.modules: No such file or directory

...

Comment 4 Matthew Miller 2004-07-24 19:14:11 UTC
I think all of the issues here have been cleared up (and we're on to
modprobe.conf). For forcing modules to load in Fedora Core, see bug
#123927.


Note You need to log in before you can comment on or make changes to this bug.